Summary: Valgrind Memory Debugger
Name: valgrind
Version: 1.0.4
Release: 1
Group: Development/Debuggers
Copyright: GPL
Url: http://developer.kde.org/~sewardj/
Packager: Hao Li <hli@haoli.org>
Source: http://developer.kde.org/~sewardj/valgrind-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-root
# Hack to fool RPM
Provides: libc.so.6(GLIBC_PRIVATE)

%description 
Valgrind is a GPL'd tool to help you find memory-management problems
in your programs. When a program is run under Valgrind's supervision,
all reads and writes of memory are checked, and calls to
malloc/new/free/delete are intercepted. As a result, Valgrind can
detect problems such as:

- Use of uninitialised memory 
- Reading/writing memory after it has been free'd 
- Reading/writing off the end of malloc'd blocks 
- Reading/writing inappropriate areas on the stack 
- Memory leaks -- where pointers to malloc'd blocks are lost forever
- Passing of uninitialised and/or unaddressible memory to system calls
- Mismatched use of malloc/new/new [] vs free/delete/delete []
- Some abuses of the POSIX Pthreads API


%prep
%setup -q


%build
./configure --prefix=/usr
make


%install

# Do not strip binaries
%define __os_install_post /usr/lib/rpm/brp-compress

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf html && mv $RPM_BUILD_ROOT/usr/share/doc/valgrind html


%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS COPYING ChangeLog INSTALL NEWS
%doc PATCHES_APPLIED README* TODO html
/usr/bin/*
/usr/include/*
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT

